Check checkout status
curl --request GET \
--url https://api.sandbox.pawapay.io/v2/checkouts/{checkoutId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.pawapay.io/v2/checkouts/{checkoutId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.pawapay.io/v2/checkouts/{checkoutId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.pawapay.io/v2/checkouts/{checkoutId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.pawapay.io/v2/checkouts/{checkoutId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.pawapay.io/v2/checkouts/{checkoutId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.pawapay.io/v2/checkouts/{checkoutId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "FOUND",
"data": {
"checkoutId": "afb57b93-7849-49aa-babb-4c3ccbfe3d79",
"status": "WAITING_PAYMENT",
"redirectUrl": "https://checkout.sandbox.pawapay.io/7mVk1x8UbTamQ64xGR",
"created": "2026-03-27T10:30:00Z",
"countries": [],
"amounts": [],
"depositsHistory": [],
"metadata": {},
"reason": {},
"checkoutCode": "7mVk1x8UbTamQ64xGR"
}
}Checkouts
Check checkout status
API reference: get a PawaPay checkout’s status by checkoutId, with the latest payment attempt and the full attempt history.
GET
/
v2
/
checkouts
/
{checkoutId}
Check checkout status
curl --request GET \
--url https://api.sandbox.pawapay.io/v2/checkouts/{checkoutId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.pawapay.io/v2/checkouts/{checkoutId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.pawapay.io/v2/checkouts/{checkoutId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.pawapay.io/v2/checkouts/{checkoutId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.pawapay.io/v2/checkouts/{checkoutId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.pawapay.io/v2/checkouts/{checkoutId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.pawapay.io/v2/checkouts/{checkoutId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "FOUND",
"data": {
"checkoutId": "afb57b93-7849-49aa-babb-4c3ccbfe3d79",
"status": "WAITING_PAYMENT",
"redirectUrl": "https://checkout.sandbox.pawapay.io/7mVk1x8UbTamQ64xGR",
"created": "2026-03-27T10:30:00Z",
"countries": [],
"amounts": [],
"depositsHistory": [],
"metadata": {},
"reason": {},
"checkoutCode": "7mVk1x8UbTamQ64xGR"
}
}Get the current status of a checkout based on its
checkoutId.
The response returns the overall checkout state together with the latest payment attempt, when available, and the full history of attempts within that checkout.Authorizations
See Authentication.
Path Parameters
Was this page helpful?